Subject: Re: [GIT PULL/NEXT] sched/arch: Introduce the finish_arch_post_lock_switch() scheduler callback

From: Russell King <[email-masked]>
Date: Tue, 13 Mar 2012 11:27:29 +0000

On Tue, Mar 13, 2012 at 11:19:00AM +0100, Ingo Molnar wrote:
> 
> * Russell King <[email-masked]> wrote:
> 
> > On Tue, Mar 13, 2012 at 10:26:49AM +0100, Ingo Molnar wrote:
> > >
> > > As I said it in my first mail, doing that is unnecessary - 
> > > but if you insist on being difficult then Catalin, feel free 
> > > to pull the patch from tip:sched/arch:
> > 
> > Nope, I'm not taking the tree anymore, [...]
> 
> So instead of saying "sure, lets avoid conflicts next time 
> around" you are now *refusing* to take technically perfectly 
> fine patches just because another maintainer asked you to use a 
> different workflow for future patches? Wow ...

No, I'm pissed off at how you're treating me over this trivial issue,
so I'm taking the easy way out and getting out of the way.  If you want
to run your bit of the tree with idiotic rules about zero conflicts,
and "git solutions" then that's your perogative.  Just don't expect
other people to play with you.

The fact of the matter is that Peter Z. was fully aware of what was
happening.  He was aware that he'd been asked for his ack for that
patch (because I'd explicitly asked Peter for it, but not by email) -
and he provided his ack for that patch to Catalin:

http://lists.arm.linux.org.uk/lurker/message/20120227.144813.5614e7f8.en.html

Catalin sent a pull request to me, copying Peter Z on the 27th Feb:

http://lists.arm.linux.org.uk/lurker/message/20120227.164502.6b58a37e.en.html

I pulled it into my tree for testing, and pushed it out in the last
couple of days.

Moreover, these kinds of trivial conflicts are the type of things which
Linus wants to see between trees.  It allows him to get a feel for what's
going on, and makes Linus feel like he's more on top of things.  Linus
said that he would like to see these trivial conflicts (he said so to me
in an email dated 15th Jan 2011).

So please, stop your insistance on this zero conflict crap.

-- 
Russell King
 Linux kernel    2.6 ARM Linux   - http://www.arm.linux.org.uk/
 maintainer of: